Loading...
Searching...
No Matches
TestDescription_PolysTestSuite_test_Z11_x_y_z Class Reference

## Public Member Functions

| TestDescription_PolysTestSuite_test_Z11_x_y_z ()
void | runTest ()
| TestDescription_PolysTestSuite_test_Z11_x_y_z ()
void | runTest ()
Public Member Functions inherited from CxxTest::RealTestDescription
| RealTestDescription ()
| RealTestDescription (List &argList, SuiteDescription &argSuite, unsigned argLine, const char *argTestName)
void | initialize (List &argList, SuiteDescription &argSuite, unsigned argLine, const char *argTestName)
const char * | file () const
unsigned | line () const
const char * | testName () const
const char * | suiteName () const
TestDescription * | next ()
const TestDescription * | next () const
TestSuite * | suite () const
bool | setUp ()
void | run ()
bool | tearDown ()
Public Member Functions inherited from CxxTest::TestDescription
virtual | ~TestDescription ()
Public Member Functions inherited from CxxTest::Link
| Link ()
virtual | ~Link ()
bool | active () const
void | setActive (bool value=true)
Link * | justNext ()
Link * | justPrev ()
Link * | next ()
Link * | prev ()
const Link * | next () const
const Link * | prev () const
void | attach (List &l)
void | detach (List &l)

## Detailed Description

Definition at line 38 of file polys_test_runner.cpp.

## Constructor & Destructor Documentation

## TestDescription_PolysTestSuite_test_Z11_x_y_z() [1/2]

TestDescription_PolysTestSuite_test_Z11_x_y_z::TestDescription_PolysTestSuite_test_Z11_x_y_z | ( |  | ) |

inline

Definition at line 40 of file polys_test_runner.cpp.

: CxxTest::RealTestDescription( Tests_PolysTestSuite, suiteDescription_PolysTestSuite, 1879, "test_Z11_x_y_z" ) {}
Tests_PolysTestSuite
static CxxTest::List Tests_PolysTestSuite
Definition rings_test_runner.cpp:23
suiteDescription_PolysTestSuite
CxxTest::StaticSuiteDescription suiteDescription_PolysTestSuite("./rings_test.h", 60, "PolysTestSuite", suite_PolysTestSuite, Tests_PolysTestSuite)

## TestDescription_PolysTestSuite_test_Z11_x_y_z() [2/2]

TestDescription_PolysTestSuite_test_Z11_x_y_z::TestDescription_PolysTestSuite_test_Z11_x_y_z | ( |  | ) |

inline

Definition at line 40 of file rings_test_runner.cpp.

: CxxTest::RealTestDescription( Tests_PolysTestSuite, suiteDescription_PolysTestSuite, 110, "test_Z11_x_y_z" ) {}

## Member Function Documentation

## runTest() [1/2]

void TestDescription_PolysTestSuite_test_Z11_x_y_z::runTest | ( |  | ) |

inline virtual

Implements CxxTest::RealTestDescription.

Definition at line 41 of file polys_test_runner.cpp.

{ suite_PolysTestSuite.test_Z11_x_y_z(); }
PolysTestSuite::test_Z11_x_y_z
void test_Z11_x_y_z()
Definition polys_test.h:1879
suite_PolysTestSuite
static PolysTestSuite suite_PolysTestSuite
Definition rings_test_runner.cpp:21

## runTest() [2/2]

void TestDescription_PolysTestSuite_test_Z11_x_y_z::runTest | ( |  | ) |

inline virtual

Implements CxxTest::RealTestDescription.

Definition at line 41 of file rings_test_runner.cpp.

{ suite_PolysTestSuite.test_Z11_x_y_z(); }

The documentation for this class was generated from the following files:

- libpolys/tests/polys_test_runner.cpp
- libpolys/tests/rings_test_runner.cpp